Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-78243

qtdeclarative (5.14) fails to compile on yocto 2.7.1

    XMLWordPrintable

    Details

    • Commits:
      90a706dffb944e7d18b8b199b1cea68633e2b172 (qt/qtdeclarative/5.14)

      Description

      After commit 0aada37644762d4757f9f9b2a76e31389aa91b27 "Fix not printing logs with QSG_INFO when forcing rhi backend from C++"

      https://codereview.qt-project.org/c/qt/qtdeclarative/+/271671

       

      Boot2Qt / Yocto build fails for Qt 5.14 with error:

      | make[2]: Entering directory '/home/migronof/git_repos/dev/yocto/build-apalis-imx6/tmp/work/x86_64-linux/qtdeclarative-native/5.14.0+gitAUTOINC+81ac3bd856-r0/build/src/quick'
      | rm -f libQt5Quick.so.5.14.0 libQt5Quick.so libQt5Quick.so.5 libQt5Quick.so.5.14
      | linking ../../lib/libQt5Quick.so.5.14.0
      | .obj/qsgrenderloop.o: In function `QSGRenderLoop::instance()':
      | qsgrenderloop.cpp:(.text+0x169): undefined reference to `QSGRhiSupport::checkEnvQSgInfo()'
      | collect2: error: ld returned 1 exit status
      | Makefile:863: recipe for target '../../lib/libQt5Quick.so.5.14.0' failed

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            lagocs Laszlo Agocs
            Reporter:
            gronoff Mikko Gronoff
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes